Loading...
Searching...
No Matches
md5.h File Reference
libavutil » Crypto and Hashing » Hash Functions » MD5

Public header for MD5 hash function implementation. More...

`#include <stddef.h>`
`#include <stdint.h>`
`#include "attributes.h"`

Go to the source code of this file.

## Functions

struct AVMD5 * | av_md5_alloc (void)
| Allocate an AVMD5 context.
void | av_md5_init (struct AVMD5 *ctx)
| Initialize MD5 hashing.
void | av_md5_update (struct AVMD5 *ctx, const uint8_t *src, size_t len)
| Update hash value.
void | av_md5_final (struct AVMD5 *ctx, uint8_t *dst)
| Finish hashing and output digest value.
void | av_md5_sum (uint8_t *dst, const uint8_t *src, size_t len)
| Hash an array of data.

## Variables

const int | av_md5_size

## Detailed Description

Public header for MD5 hash function implementation.

Definition in file md5.h.